<%
  Response.Buffer = true
%>

<html>
<head><title>WaitFor Component Sample Script</title></head>
<body>
<blockquote>
<%

  rem ******************************************************
  rem * Instantiate the component
  rem ******************************************************
  Set WaitObj = Server.CreateObject ("WaitFor.Comp")

  Response.Write "Beginning to wait at: " & Time & "<br>"
  Response.Flush

  rem ******************************************************
  rem * WaitForSeconds takes one parameter:
  rem *  an integer value for the number of seconds to wait
  rem *  The component will not return until this time
  rem *  has elapsed
  rem ******************************************************
  WaitObj.WaitForSeconds 5

  Response.Write "Finished waiting: " & Time
  Response.Flush



  strFilename = "c:\test.txt"
  Response.Write "<p>Now waiting for file " & strFilename
  Response.Flush

  rem ******************************************************
  rem * WaitForFileExists takes one parameter:
  rem *   an string value that points to the file to wait for
  rem *  The component property TimeOut is set to the number
  rem *    of seconds to wait
  rem *  The component will not return until this time
  rem *    has elapsed or the file exists
  rem ******************************************************
  WaitObj.TimeOut = 45
  if WaitObj.WaitForFileExists (strFileName) then
    Response.Write "<p>File found within TimeOut period"
  else
    Response.Write "<p>File NOT found within TimeOut period"
  end if
  Response.Flush



  Response.Write "<p>Now waiting for exclusive file access " & strFilename
  Response.Flush

  rem ******************************************************
  rem * WaitForExclusiveFileAccess takes one parameter:
  rem *   an string value that points to the file to wait for
  rem *  The component property TimeOut is set to the number
  rem *    of seconds to wait
  rem *  The component will not return until this time
  rem *    has elapsed or the component has exclusive
  rem *    read/write access to the specified file
  rem ******************************************************
  WaitObj.TimeOut = 45
  if WaitObj.WaitForExclusiveFileAccess strFileName
    Response.Write "<p>Exclusive file access granted with TimeOut period"
  else
    Response.Write "<p>Exclusive file access NOT granted with TimeOut period"
  end if

%>

</body>
</html>
